SSIS error when deploying from VS 2013 to SSISDB in SQL 2012


An SSIS package has been developed in SSDT-BI Microsoft Visual Studio Professional 2013 (freely available download).

When we deploy the package to SSISDB in SQL Server 2012 RTM or SP1 (11.0.3153.0) and run it, it returns the following error, because the SSIS 2014 package format is not downgradable to SSIS 2012 version format.

 "The package failed to load due to error 0xC0010014

""One or more error occurred. There should be more specific errors preceding this one that explains the details of the errors. This message is used as a return value from functions that encounter errors."". This occurs when CPackage::LoadFromXML fails.

   at Microsoft.SqlServer.Dts.Runtime.Package.LoadFromXML(String packageXml, IDTSEvents events)

   at Microsoft.SqlServer.Dts.Runtime.Project.LoadPackage(IProjectStorage storage, Package package, String streamName, IDTSEvents events)

   at Microsoft.SqlServer.Dts.Runtime.PackageItem.Load(IDTSEvents events)

   at Microsoft.SqlServer.Dts.Runtime.PackageItem.LoadPackage(IDTSEvents events)

   at Microsoft.SqlServer.IntegrationServices.Server.ISServerExec.ISServerExecutionEvents.LoadPackage(PackageItem item)

   at Microsoft.SqlServer.IntegrationServices.Server.ISServerExec.ProjectOperator.StartPackage()

   at Microsoft.SqlServer.IntegrationServices.Server.ISServerExec.ProjectOperator.PerformOperation()"           
                          
"Package:Error: Package migration from version 8 to version 6 failed with error 0xC001700A ""The version number in the package is not valid. The version number cannot be greater than current version number.""."                   

"Package:Error: Error loading value ""<DTS:Property xmlns:DTS=""www.microsoft.com/SqlServer/Dts"" DTS:Name=""PackageFormatVersion"">8</DTS:Property>"" from node ""DTS:Property""."                                   

"Package:Error: The version number in the package is not valid. The version number cannot be greater than current version number."

 

The underlying cause is that currently (Sept 2014 timeframe) SSDT BI 2014 for Visual Studio 2013 does not support SSIS packages for SQL Server 2012.

It is a common feature request, and the product group is well aware of the demand.

http://connect.microsoft.com/SQLServer/feedbackdetail/view/944882/ssdt-bi-2014-backward-compatibility-for-ssis-2012

At present SSDT for VS 2013 only works with SQL Server 2014. You have to use SSDT-BI for Visual Studio 2012 with SQL Server 2012 SSISDB.

 

Thanks, Jason

Comments (4)

  1. Dave Smith says:

    Can you install SSDT-BI for Visual Studio 2012 with only VS2013 installed – no VS12 installed…

  2. Gregg says:

    …it's now 13 months later. Any movement on this?

  3. Jason says:

    The authoritative version list of SSDT downloads with matching VS versions is here msdn.microsoft.com/…/mt204009.aspx

    For SSIS the plan is to support SSIS 2012, but that is still coming soon. Jimmy explains the scenario here social.msdn.microsoft.com/…/sql-server-2016-designer-ssdt-support-for-previous-versions

    SST from SQL 2016 will have back compat to 2012 they hope. The multiple version support will be delivered later in the official release of SSDT for SQL Server 2016, so not in the "Preview" builds yet.

Skip to main content